<?php

if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Sidebar',
'before_widget' => '<li class="sidebar_nav">',
'after_widget' => '</li>', 
'before_title' => '<h3>', 
'after_title' => '</h3>', 
));

if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Sidebar Homepage',
'before_widget' => '<li>',
'after_widget' => '</li>', 
'before_title' => '<h3>', 
'after_title' => '</h3>', 
));



// navigation menu
add_action( 'init', 'register_my_menu' );

function register_my_menu() {
	register_nav_menu( 'primary-menu', __( 'Primary Menu' ) );
}

// Custom Excerpt Length

add_filter('excerpt_length', 'my_excerpt_length');
function my_excerpt_length($length) {
return 25; }

/* 
########################################################
                          ##############################
 Begin Theme Options      ##############################
                          ##############################
########################################################
*/
 
$themename = "Sortable";
$shortname = "bwt";

//Post categories for select box (not used)

$categories = get_categories('hide_empty=0&orderby=name');
$wp_cats = array();
foreach ($categories as $category_list ) {
       $wp_cats[$category_list->cat_ID] = $category_list->cat_name;
}
array_unshift($wp_cats, "Choose a category"); 


$options = array (
				  

/* 
*****************************************************
Layout Options
*****************************************************
*/

array(  "name" => "General", 
	    "type" => "section-open"),
array(  "type" => "open"),

array(  "name" => "Layout Options",
		"type" => "title"),
array(  "type" => "open"),

array(  "name" => "Sortable Menu",
		"desc" => "Modify the list to match your blog categories. Data-value MUST match the category name (Case sensitive).",
		"id" => $shortname."_categorylist",
		"type" => "textarea",
		"std" => "<li class=\"segment-0\"><a href=\"#\" data-value=\"CategoryName\">CategoryName</a></li>"),

array(  "name" => "Layout", 
		"desc" => "Chose a layout",
		"id" => $shortname."_layout",
		"type" => "select",
		"options" => array("article", "newspaper", "photo"),
		"std" => "article"),

array(  "name" => __('Rounded Corners'),
		"desc" => __("Set border radius (does not work in IE)"),
		"id" => $shortname."_border_radius",
		"type" => "text"),
        "std" => "",

array(  "name" => "Comment Count",
		"desc" => "Show comment count on frontpage posts?",
		"id" => $shortname."_commentcount",
		"type" => "checkbox"),
		"std" => "false",

array(  "name" => __('Show Excerpt?'),
		"desc" => __("This should be unchecked if you use the Photo layout"),
		"id" => $shortname."_excerpt",
		"type" => "checkbox"),
        "std" => "true",

array(  "name" => "General",
		"type" => "section-close"),
array(  "type" => "close"),

/* 
*****************************************************
Thumbnails
*****************************************************
*/

array(  "name" => "General", 
	    "type" => "section-open"),
array(  "type" => "open"),

array(  "name" => "Thumbnail Options", 
	    "type" => "title"),
array(  "type" => "open"),

array(  "name" => "Thumbnail Size", 
		"desc" => "Article: 116 | Photo and Newspaper: 210",
		"id" => $shortname."_thumbsize",
		"type" => "select",
		"options" => array("116", "210"),
		"std" => ""),

array(  "name" => "Thumbnail Cropping", 
		"desc" => "Set 1 to keep aspect ratio on thumbs. Set 0 to get square thumbs",
		"id" => $shortname."_crop",
		"type" => "select",
		"options" => array("0", "1"),
		"std" => "0"),

array(  "name" => "General",
		"type" => "section-close"),
array(  "type" => "close"),


/* 
*****************************************************
Colors
*****************************************************
*/

array(  "name" => "General", 
	    "type" => "section-open"),
array(  "type" => "open"),

array(  "name" => "Color Options",
		"type" => "title"),
array(  "type" => "open"),

array(  "name" => "Texture",
		"desc" => "Add a texture to the background",
		"id" => $shortname."_bg_texture",
		"type" => "select",
		"options" => array("none", "mild", "hard"),
		"std" => "none"),


array(  "name" => "Body Background Color",
		"desc" => "Set the color of the background. Default is 404040",
		"id" => $shortname."_body_background_color",
		"type" => "color-picker",
		"std" => "404040"),

array(  "name" => "Top Menu Background Color",
		"desc" => "Set the color of the boxes. Default is 252525",
		"id" => $shortname."_topnav_background_color",
		"type" => "color-picker",
		"std" => "252525"),

array(  "name" => "Top Menu Link Color",
		"desc" => "Set the color of the top menu",
		"id" => $shortname."_topmenu_links",
		"type" => "color-picker",
		"std" => "bed6e4"),

array(  "name" => "Top Menu Link Hover Color",
		"desc" => "Set the hover color of the top menu",
		"id" => $shortname."_topmenu_h_links",
		"type" => "color-picker",
		"std" => "fff"),

array(  "name" => "Box Background Color",
		"desc" => "Set the color of the boxes. Default is 252525",
		"id" => $shortname."_box_background_color",
		"type" => "color-picker",
		"std" => "252525"),

array(  "name" => "Custom Box Background Color",
		"desc" => "Set the color of the boxes. Default is 252525",
		"id" => $shortname."_adbox_background_color",
		"type" => "color-picker",
		"std" => "252525"),

array(  "name" => "Global Link Color",
		"desc" => "Set the color of the global hyperlinks",
		"id" => $shortname."_global_links",
		"type" => "color-picker",
		"std" => "bed6e4"),

array(  "name" => "Global Link Hover Color",
		"desc" => "Set the hover color of the global hyperlinks",
		"id" => $shortname."_global_h_links",
		"type" => "color-picker",
		"std" => "fff"),

array(  "name" => "Border Color",
		"desc" => "Set border color on boxes",
		"id" => $shortname."_border_color",
		"type" => "color-picker",
		"std" => "5E5E5E"),

array(  "name" => "General",
		"type" => "section-close"),
array(  "type" => "close"),

/* 
*****************************************************
Sidebars
*****************************************************
*/

array(  "name" => "General", 
	    "type" => "section-open"),
array(  "type" => "open"),

array( "name" => "Sidebar Options",
	   "type" => "title"),
array( "type" => "open"),

array(  "name" => "Left",
		"desc" => "align sidebar to the left",
		"id" => $shortname."_sidebar_left",
		"type" => "checkbox"),
		"std" => "false",
		
array(  "name" => "Right",
		"desc" => "align sidebar to the right",
		"id" => $shortname."_sidebar_right",
		"type" => "checkbox"),
		"std" => "false",

array(  "name" => "Both",
		"desc" => "Display both sidebars",
		"id" => $shortname."_sidebar_both",
		"type" => "checkbox"),
		"std" => "false",

array(  "name" => "General",
		"type" => "section-close"),
array(  "type" => "close"),


/* 
*****************************************************
Featured Posts
*****************************************************
*/

array(  "name" => "General", 
	    "type" => "section-open"),
array(  "type" => "open"),

array(  "name" => "Custom Box",
		"type" => "title"),
array(  "type" => "open"),
		
		

/* 
*****************************************************
Custom Box
*****************************************************
*/

array(  "name" => "Display Custom Box",
		"desc" => "Display Custom Box on frontpage?",
		"id" => $shortname."_frontpage_ad",
		"type" => "checkbox"),
		"std" => "true",

array(  "name" => "Box Width",
		"desc" => "Depending on your layout settings you should use these sizes: Newspaper and Photo: 212px, 452px, 692px, 932px",
		"id" => $shortname."_ad_width",
		"type" => "select",
		"options" => array("212px", "452px", "692px", "932px"),
		"std" => ""),

array(  "name" => "Box Height",
		"desc" => "Photo: 260px, 548px | Newspaper: 380px",
		"id" => $shortname."_ad_height",
		"type" => "select",
		"options" => array("260px", "380px", "548px"),
		"std" => ""),

array(  "name" => "Box Position",
		"desc" => "Set ad position",
		"id" => $shortname."_ad_position",
		"type" => "text",
		"std" => "1"),

array(  "name" => "Align Box",
		"desc" => "Important! Use only on right aligned ads. Read the manual for full instructions",
		"id" => $shortname."_float_right",
		"type" => "checkbox"),
		"std" => "false",

array(  "name" => "Box Content",
		"desc" => "Insert your box content here. You may use html",
		"id" => $shortname."_ad_content",
		"type" => "textarea",
		"std" => ""),	
 
array(  "name" => "Google Analytics",
		"desc" => "Paste your Google Analytics code here",
		"id" => $shortname."_analytics",
		"type" => "textarea",
		"std" => ""),

 
array( "type" => "close")
 
);				
				
/* 
########################################################
                          ##############################
 End Arrays, Begin layout ##############################
                          ##############################
########################################################
*/

// Add stylesheet and javascripts to adminpanel
add_action('admin_head', 'admin_register_head');
function admin_register_head() {
  $url = get_bloginfo('template_directory') . '/functions/functions.css';
  echo "<link rel='stylesheet' href='$url' />\n";
  
    $url_base = get_bloginfo('template_directory');
	echo "<script src=\"$url_base/functions/jscolor/jscolor.js\" type=\"text/javascript\"></script>\n";
	
}


function mytheme_add_admin() {
 
global $themename, $shortname, $options;
 
if ( $_GET['page'] == basename(__FILE__) ) {
 
if ( 'save' == $_REQUEST['action'] ) {
 
foreach ($options as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
 
foreach ($options as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
 
header("Location: themes.php?page=functions.php&saved=true");
die;
 
} else if( 'reset' == $_REQUEST['action'] ) {
 
foreach ($options as $value) {
delete_option( $value['id'] ); }
 
header("Location: themes.php?page=functions.php&reset=true");
die;
 
}
}
 
add_menu_page($themename." Options", "".$themename." Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
 
}
 
function mytheme_admin() {
 
global $themename, $shortname, $options;
 
if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
 
?>


<!-- Start Theme Options Layout -->

<div id="options_container">

<form method="post">

<div style="float: right; margin-top: 65px; width: 180px; position: relative">
<ul style="position: fixed; border: 1px solid #b5b5b5; background: #e4e4e4; padding: 10px; width: 170px; font-weight: 700">
<li><a href="#Layout Options">Layout Options</a></li>
<li><a href="#Thumbnail Options">Thumbnail Options</a></li>
<li><a href="#Color Options">Color Options</a></li>
<li><a href="#Sidebar Options">Sidebar Options</a></li>
<li><a href="#Custom Box">Custom Box</a></li>
<li><p class="submit">
<input name="save" type="submit" value="Save changes" class="button-primary" />
<input type="hidden" name="action" value="save" />
</p></li>
</ul>



</div>


<div id="options_wrap">

<div id="icon-options-general" class="icon32"></div>


<h2 id="theme_options_heading"><?php echo $themename; ?> Theme Options</h2>
 

<?php foreach ($options as $value) {
switch ( $value['type'] ) {
case "open": ?>
<?php break; case "close": ?>


<?php break; case "title": ?>
<h3 class="options_main_headings"><a name="<?php echo $value['name']; ?>"><?php echo $value['name']; ?></a></h3>

<?php break; case "section-open": ?>
<div class="section">
<?php break; case "section-close": ?>

</div>
 
<?php break; case 'text': ?>
<div class="options_input">
<h3 class="section_headings"><?php echo $value['name']; ?>:</h3>
<input style="width:200px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings($value['id'])); } else { echo $value['std']; } ?>" />
<small><?php echo $value['desc']; ?></small>
</div>


<?php break; case 'textarea': ?>
<div class="options_textarea">
<h3 class="section_headings"><?php echo $value['name']; ?>:</h3>
<textarea name="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings($value['id'])); } else { echo $value['std']; } ?></textarea>
<small><?php echo $value['desc']; ?></small>
</div>
 
<?php break; case 'select': ?>
<div class="options_select">
<h3 class="section_headings"><?php echo $value['name']; ?>:</h3>
<select style="width:200px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php foreach ($value['options'] as $option) { ?><option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?></select>
<small><?php echo $value['desc']; ?></small>
</div>


<?php break; case 'checkbox': ?>
<div class="options_checkbox">
<h3 class="section_headings"><?php echo $value['name']; ?>:</h3>
<?php if(get_option($value['id'])){ $checked = "checked=\"checked\""; } else{ $checked = "";} ?>
<input type='checkbox' name='<?php echo $value['id']; ?>' id='<?php echo $value['id']; ?>' value='true' <?php echo $checked; ?> />
<small><?php echo $value['desc']; ?></small>
</div>


<?php break; case 'color-picker': ?>
<div class="options_input">
<h3 class="section_headings"><?php echo $value['name']; ?>:</h3>
<input class="color_picker" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo stripslashes(get_settings($value['id'])); } else { echo $value['std']; } ?>" />
<small><?php echo $value['desc']; ?></small>
</div>


<!-- // Theme Options Layout -->

 


<?php break; 
}
}
?>
 
<p class="submit">
<input name="save" type="submit" value="Save changes" class="button-primary" />
<input type="hidden" name="action" value="save" />
</p>

</form>

<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

</div><!-- // Optins Wrap -->


<div id="options_readme">

</div>


</div><!-- // Optins Container -->
 
<?php
}
add_action('admin_menu', 'mytheme_add_admin');
?>